# Generated by Django 4.1.4 on 2022-12-22 14:53

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("volunteers", "0030_alter_experience_date_of_experience"),
    ]

    operations = [
        migrations.CreateModel(
            name="RankRelatedDocuments",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "basic_safety_certificate",
                    models.FileField(upload_to="uploadedFiles/rank_documents_uploads/"),
                ),
                ("basic_safety_certificate_validity_date", models.DateField()),
                (
                    "medical_fitness_certificate",
                    models.FileField(upload_to="uploadedFiles/rank_documents_uploads/"),
                ),
                ("medical_fitness_certificate_validity_date", models.DateField()),
                (
                    "watchkeeping_license_certificate",
                    models.FileField(
                        null=True, upload_to="uploadedFiles/rank_documents_uploads/"
                    ),
                ),
                (
                    "watchkeeping_license_certificate_validity_date",
                    models.DateField(null=True),
                ),
                (
                    "volunteer",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="volunteers.volunteer",
                    ),
                ),
            ],
        ),
    ]
